Name: 		kdesdk
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Software Development Kit
Version: 	2.1.1
Release: 	2mdk
Epoch: 		1
License:	GPL

Source: 	%name-%version.tar.bz2

Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:	arts autoconf automake bison db1 db2 diffutils file flex
BuildRequires:	freetype2 gawk gcc-c++ gcc-cpp gettext kdelibs kdelibs-devel
BuildRequires:	kdesupport-devel libbinutils2 libbzip2_1 libjpeg62
BuildRequires:	libjpeg62-devel libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	libtermcap m4 mktemp pam popt readline rpm-build texinfo zlib1

%description
Software Development Kit for the K Desktop Environment.

%package devel
Group:          Development/KDE and QT
Summary:        Header files for kdesdk
Requires:	%name = %version-%release
 
%description devel	
This package includes the header files you will need to compile
applications for Kdesdk.

%prep

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --mandir=%_mandir \
	            --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-qt-includes=%_includedir/qt2/ \
		    --with-qt-libraries=%_libdir \
		    --disable-rpath \
		    --with-db-dir=%_prefix

%make

%install
make install DESTDIR=%buildroot

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Development
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabel.desktop     %buildroot/%_menudir/kdesdk-kbabel
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabeldict.desktop %buildroot/%_menudir/kdesdk-kbabeldict

# %%_datadir/applnk/Utilities
# Dadou - 2.1-1mdk - This one is a demo application and it claims it. So, it
#                    doesn't make sense to include it.
#kdedesktop2mdkmenu.pl kdesdk "Applications/Text tools"      %buildroot/%_datadir/applnk/Utilities/kless.desktop        %buildroot/%_menudir/kdesdk-kless


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post devel
/sbin/ldconfig
 
%postun devel
/sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kbabel/
%_docdir/HTML/en/kbabel/.anchors
%_docdir/HTML/en/kbabel/common
%_docdir/HTML/en/kbabel/*.docbook
%_docdir/HTML/en/kbabel/*.html
%_docdir/HTML/en/kbabel/*.png
#
#
#
%doc %_mandir/man1/*.bz2
#
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde2/
%_libdir/kde2/*.la
%_libdir/kde2/*.so*
#
#
#
%_menudir/

#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/kbabel.desktop
%_datadir/applnk/Development/kbabeldict.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/kless.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kbabel/
%_datadir/apps/kbabel/*.rc
#
%dir %_datadir/apps/kbabel/icons/
%dir %_datadir/apps/kbabel/icons/hicolor/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/actions/
%_datadir/apps/kbabel/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kbabel/pics/
%_datadir/apps/kbabel/pics/*.png
#
#
%dir %_datadir/apps/kbabeldict/
%dir %_datadir/apps/kbabeldict/modules/
%_datadir/apps/kbabeldict/modules/*.rc
#
#
%dir %_datadir/apps/kmtrace/
%_datadir/apps/kmtrace/*.excludes
#
#
#
%dir %_iconsdir/
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/mimetypes/
%_iconsdir/hicolor/16x16/mimetypes/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/mimetypes/
%_iconsdir/hicolor/32x32/mimetypes/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/mimetypes/
%_iconsdir/hicolor/48x48/mimetypes/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/16x16/mimetypes/
%_iconsdir/locolor/16x16/mimetypes/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
%dir %_iconsdir/locolor/32x32/mimetypes/
%_iconsdir/locolor/32x32/mimetypes/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop



%files devel
%defattr(-,root,root,-)
%_includedir/*.h
#
%dir %_includedir/kbabel/
%_includedir/kbabel/*.h
#
#
#
%_libdir/*.a
#
%dir %_libdir/kde2/
%_libdir/kde2/*.a


%changelog
* Tue Apr 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1
- Fix BuildRequires

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Add BuildRequires

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010220.1mdk
- Enable --disable-debug

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010213.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010209.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code
- Fix groups

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code
- LMDK menu entries cleaned

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries nearly cleaned

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Update code

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- Recompile for gcc 2.96

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Recompile for Mandrake 7.2 release

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Recompile for gcc 2.96. This includes code from future 2.1 release

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Recompile for gcc 2.96

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code snapshot to KDE 2.0 Release

* Fri Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Rebuilt because of new kdelibs and qt2

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code snapshot to KDE 2.0 Release Candidate 1

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code snapshot

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code snapshot

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code snapshot

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code snapshot

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code snapshot

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code snapshot

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code snapshot

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code snapshot

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code snapshot

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code snapshot

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code snapshot

* Wed Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code snapshot

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code snapshot

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code snapshot

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code snapshot

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code snapshot
- Changed menus to use automated conversion tool

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code snapshot

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code snapshot

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code snapshot

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code snapshot

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code snapshot

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code snapshot

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code snapshot
- Removed automatic file list
- Added menu files

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code snapshot

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code snapshot

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code snapshot

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code snapshot

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code snapshot

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code snapshot

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code snapshot

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code snapshot

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated snapshot
- Moved from /opt/kde2 to /usr
- renamed package

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code
- Fixed perl problem
- allowed docs to compile

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code with newer snapshot

* Thu May 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Compiled for Mandrake
- Updated code and spec file for more recent compile
